Package org.apache.jmeter.gui

# Class MainFrame.ErrorsAndFatalsCounterLogTarget

java.lang.Object
org.apache.jmeter.gui.MainFrame.ErrorsAndFatalsCounterLogTarget

All Implemented Interfaces:
  `EventListener`, `GuiLogEventListener`, `Clearable`

Enclosing class:
  MainFrame

public final class MainFrame.ErrorsAndFatalsCounterLogTarget extends Object implements GuiLogEventListener, Clearable
ErrorsAndFatalsCounterLogTarget.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorsAndFatalsCounterLogTarget()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearData()`
  Clears the current data of the object.
  `void`
  `processLogEvent(LogEventObject logEventObject)`
  Process a log event object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErrorsAndFatalsCounterLogTarget

    public ErrorsAndFatalsCounterLogTarget()

- ## Method Details

  - ### processLogEvent

    public void processLogEvent(LogEventObject logEventObject)
    Description copied from interface: `GuiLogEventListener`
    Process a log event object.
    Specified by:
      `processLogEvent` in interface `GuiLogEventListener`
    Parameters:
      `logEventObject` - log event object

  - ### clearData

    public void clearData()
    Description copied from interface: `Clearable`
    Clears the current data of the object.
    Specified by:
      `clearData` in interface `Clearable`